<script lang="ts" setup>
import { md, text } from '@distromade/distro-cms';
import { useHead } from '#imports';
import { useActiveProducts, useThemeContent } from '~/composables';
import json from '~/content/index.json';

type Content = typeof json;
type MD = Content['cms']['markdownElements'];
type Text = Content['cms']['plainTextElements'];

const { products } = await useActiveProducts();
const { mdElements, textElements, pageTitle, key } = await useThemeContent<MD, Text>('/');

useHead({
  title: () => pageTitle.value,
});
</script>

<template>
  <section>
    <Hero
      :title="text(textElements.heroTitle)"
      :description="md(mdElements.heroDescription)"
      :buttonText="text(textElements.heroButtonText)"
      :buttonLink="text(textElements.heroButtonLink)"
      :background="text(textElements.heroBackground)"
    />
    <section class="w-content flex justify-center px-5">
      <Products :products="products" />
    </section>
  </section>
</template>
